Bug 208641 - NOT IN, more than 1000 returns incorrect reults with INDEX
NOT IN, more than 1000 returns incorrect reults with INDEX
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-09-29 16:39 EDT by Pfunk Mallone
Modified: 2013-07-02 23:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: 5.0.27-1.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-27 21:23:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pfunk Mallone 2006-09-29 16:39:01 EDT
Description of problem:
NOT IN, more than 1000 returns incorrect reults with INDEX

Version-Release number of selected component (if applicable):

How reproducible:
More information available here, including a test query file:
Additional info:
I'm experiencing this error using the latest version of Fedora's packages.
According to the latest Bugzilla at mySQL, this has been fixed but needs to be
rolled into Fedora Updates.
Comment 1 Tom Lane 2006-09-29 18:11:37 EDT
5.0.25 isn't released yet.
Comment 2 Pfunk Mallone 2006-09-29 21:58:53 EDT
> 5.0.25 isn't released yet.

eeek...I see that now: "commercial customers only". Just in case you're familiar
with mySQL's release schedule, could you guess when a new "community" release =>
5.0.25 would be released?

Sorry for the unneeded report. I haven't tested it yet, but it appears that this
bug was even in the rpm on the FC5 iso (version 5.0.18-2), leaving me (and
perhaps others) rather screwed ;-)

Thanks for looking at this Tom.
Comment 3 Tom Lane 2006-09-29 22:16:49 EDT
Sorry, they don't tell me a thing :-( ... 

I've been holding off updating mysql in FC5 because FC6 is in freeze and it would be odd to have a newer 
mysql release available in FC5 than what ships in FC6.  If 5.0.25 is released before the FC6 freeze ends, I'll 
push it anyway, but I'm afraid that's about all I can promise to help you.
Comment 4 Mark Leith 2006-10-03 11:21:23 EDT
5.0.25 will not be released to the community, due to a showstopper bug
(http://bugs.mysql.com/bug.php?id=21726) that was caught in final testing of the

We should be releasing 5.0.26 within the next week though hopefully (it just
started building). 

Hope this helps!

Mark Leith
MySQL Support Engineer
Comment 5 Pfunk Mallone 2006-10-30 15:44:53 EST
5.0.27 has been out a while...any chance this will roll out to FC5 and FC6 soon?
Comment 6 Tom Lane 2006-10-30 17:42:59 EST
Hm, I see it's there on their downloads page, but there's been no announcement to the mysql-packagers 
list... wonder why not?
Comment 7 Mark Leith 2006-10-31 08:04:45 EST
Sorry about this seems to have slipped in the rush! :) 

I've had the announcement sent out now.
Comment 8 Pfunk Mallone 2006-11-27 11:42:10 EST
Any movement on this one?
Comment 9 Pfunk Mallone 2006-11-28 09:10:30 EST
Release of 5.0.27-1.fc5 just came through via yum today from "updates".


Note You need to log in before you can comment on or make changes to this bug.